Exception::getTraceAsString
Exception::__clone
Exception
PHP Manual

# Exception::__toString

(PHP 5 >= 5.1.0)

Exception::__toString — Représente l'exception sous la forme d'une chaîne

### Description

public string Exception::__toString ( void )

Retourne une représentation de l'exception sous forme d'une chaîne de caractères.

### Liste de paramètres

Cette fonction ne contient aucun paramètre.

### Valeurs de retour

Retourne la représentation de l'exception, sous la forme d'une chaîne de caractères.

### Exemples

Exemple #1 Exemple avec Exception::__toString()

`<?php
try {
throw new Exception("Message d'erreur");
} catch(Exception $e) {
echo $e;
}
?>`

L'exemple ci-dessus va afficher quelque chose de similaire à :

    exception 'Exception' with message 'Message d'erreur' in /home/bjori/tmp/ex.php:3
    Stack trace:
    #0 {main}

Exception::getTraceAsString
Exception::__clone
Exception
PHP Manual